# Seccomp

Run's `strace` on a program to record all systemcalls then produces a report of all system calls that were made.
This program can also be used to create a seccomp profile for use with Docker.

Inspired by:

* https://docs.docker.com/engine/security/seccomp/#pass-a-profile-for-a-container
* https://www.fit.vut.cz/study/thesis-file/21219/21219.pdf

## Installation

Execute:

    $ gem install seccomp

## Usage

```bash
$ seccomp help
```

## Development

After checking out the repo, run `bin/setup` to install dependencies.
Then, run `bin/test` to run the tests.
You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To release a new version, update the version number in `version.rb`, and then 
run `bin/shipit`, which will create a git tag for the version,
push git commits and the created tag, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/xlgmokha/seccomp.

## License

The gem is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).
